package com.codvision.commoncore.exception;

import lombok.Getter;
import lombok.Setter;

/**
 * 业务异常
 *
 * @author hxl
 */
@Getter
@Setter
public class BusinessException extends RuntimeException {

    private Integer code;
    private String message;

    public BusinessException() {
        super();
    }

    public BusinessException(String message) {
        super(message);
        this.message = message;
    }

    public BusinessException(int code) {
        this.code = code;
    }

    public BusinessException(int code, String message) {
        super(message);
        this.code = code;
        this.message = message;
    }

}
